%define name mkvtoolnix
%define version 1.4.1
%define release 1mdk

Summary: Matroska multimedia file utils
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.bunkus.org/videotools/mkvtoolnix/sources/%{name}-%{version}.tar.bz2
Source1: matroska-48.png
Source2: matroska-32.png
Source3: matroska-16.png
URL: http://www.bunkus.org/videotools/mkvtoolnix/
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libvorbis-devel
BuildRequires: libmatroska-devel >= 0.7.5
BuildRequires: wxGTK-devel >= 2.5
BuildRequires: liblzo-devel
BuildRequires: libbzip2-devel
BuildRequires: libflac-devel

%description
These tools allow information about (mkvinfo) or extraction
from (mkvdemux) or creation of (mkvmerge) or the splitting of
(mkvsplit) Matroska files. Matroska is a new multimedia file
format aiming to become THE new container format for the future. You
can find more information about it and its underlying technology, the
Extensible Binary Meta Language (EBML), at http://www.matroska.org/

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/mkvinfo -g" \
needs="X11" \
icon="matroska.png" \
section="Multimedia/Video" \
title="Matroska Info" \
longtitle="Shows information of Matroska video or audio files"
?package(%name): \
command="%_bindir/mmg" \
needs="X11" \
icon="matroska.png" \
section="Multimedia/Video" \
title="Mkvmerge GUI" \
longtitle="Create Matroska video or audio files"
EOF

install -D -m 644 %SOURCE1 %buildroot%_liconsdir/matroska.png
install -D -m 644 %SOURCE2 %buildroot%_iconsdir/matroska.png
install -D -m 644 %SOURCE3 %buildroot%_miconsdir/matroska.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus 

%files
%defattr(-,root,root)
%doc README TODO ChangeLog* COPYING doc/images/ doc/*html
%_bindir/*
%_mandir/man1/*
%_liconsdir/matroska.png
%_iconsdir/matroska.png
%_miconsdir/matroska.png
%_menudir/%name

%changelog
* Tue Mar 15 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- New release 1.4.1

* Sat Feb 26 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- New release 1.4.0

* Mon Feb  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- requires new matroska
- New release 1.0.2

* Tue Dec 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Wed Nov 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- New release 1.0

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- new version
- requires new libmatroska

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- requires new matroska
- New release 0.9.5

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-2mdk
- rebuild for new flac

* Sun Jul 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- requires new matroska
- New release 0.9.4

* Sun Jul 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- buildrequires flac
- New release 0.9.3

* Wed Jun 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- New release 0.9.2

* Sun Jun 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- New release 0.9.1

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- rebuild for new g++

* Tue Jun  1 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- New release 0.9.0

* Fri May  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.9-1mdk
- build with wxGTK 2.5
- add source URL
- new version

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.8-1mdk
- requires new libmatroska
- new version

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.7-1mdk
- new version

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.6-1mdk
- requires new ebml
- new version

* Mon Feb 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- new version

* Wed Feb 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- new version

* Tue Feb 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- new version

* Fri Jan 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- needs new matroska
- drop patch after discussion with the author
- new version

* Thu Jan  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- add mp4v as valid mov fourcc for mp4 support

* Tue Jan  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- new version

* Fri Jan  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- requires new libmatroska
- drop patch
- new version

* Fri Dec 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.9-1mdk
- fix build
- new version

* Wed Dec  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.8-1mdk
- new version

* Mon Nov 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.7-1mdk
- new version

* Thu Nov  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.5-1mdk
- add new html docs
- add menu entry for mkvmerge
- add more buildrequires
- requires new matroska
- new version

* Fri Sep 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6.1-1mdk
- new version

* Wed Sep 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-1mdk
- fix buildrequires
- new version

* Fri Aug 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.5-1mdk
- new version

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- new version

* Fri Aug 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- new version

* Mon Aug 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- new version

* Wed Aug 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- add menu entry for mkvinfo
- requires latest matroska library
- new version

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- fix build with new ebml and matroska include paths

* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- new version

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.4-1mdk
- new version

* Thu Jun 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.3-1mdk
- buildrequires wxgtk-devel
- requires new matroska
- new version

* Mon Jun  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- new version

* Thu May 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- requires latest matroska
- new version

* Thu May 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.3-1mdk
- new version

* Mon May 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- requires latest libmatroska
- drop patch
- new version

* Mon May  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- initial package

